package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideoDataStatAgg;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideoDataStatAggExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformVideoDataStatAggMapper {
    long countByExample(ContentPlatformVideoDataStatAggExample example);

    int deleteByExample(ContentPlatformVideoDataStatAggExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformVideoDataStatAgg record);

    int insertSelective(ContentPlatformVideoDataStatAgg record);

    List<ContentPlatformVideoDataStatAgg> selectByExample(ContentPlatformVideoDataStatAggExample example);

    ContentPlatformVideoDataStatAgg selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformVideoDataStatAgg record, @Param("example") ContentPlatformVideoDataStatAggExample example);

    int updateByExample(@Param("record") ContentPlatformVideoDataStatAgg record, @Param("example") ContentPlatformVideoDataStatAggExample example);

    int updateByPrimaryKeySelective(ContentPlatformVideoDataStatAgg record);

    int updateByPrimaryKey(ContentPlatformVideoDataStatAgg record);
}